
uniform sampler2D Texture0, Texture1, Texture2;

	uniform float ScrW;
	uniform float ScrH;	

void main (void)
{
vec2 ColorUV;
ColorUV.x= gl_FragCoord.x/ScrW ;
ColorUV.y= gl_FragCoord.y/ScrH;


	vec4 color = texture2D( Texture0, gl_TexCoord[0].st);
	vec4 refle = texture2D( Texture2, ColorUV.st);

color.rgb *= refle.rgb;
color.rgb += texture2D( Texture1, gl_TexCoord[1].st).rgb*0.5;
//color.a = 1.0;

	gl_FragColor =  color;
}